/***********************************************
     Author :      Muddassar Farooq
     Organizaton:  The University of New South Wales

     Date Started : October 1, 1998
     Date Ended   : November 22 , 1998.
     Main Module : vncviewer.java

     other Modules : animatedMemoryImageSource.java,
     authenticationPanel.java,ButtonPanel.java,
     clipBoardFrame.java, DesCipher.java,optionsFrame.java,
     rfbProto.java, TimeEvent.java, TimeOut.java, vncCanvas.java,

     This programs has been modified under GNU license as allowed by                                      
     its distributor Olivetti & Oracle Research Laboratory. The purpose
     was to upgrade this software to new java 1.1 event model and get
     rid of all deprecated APIs. Moreover to make this software more an
     application than an applet. Following modifications are done in the applet
     
     1. One can start it as an application by typing
        java vncviewer host:display.
     2. One can send a middle click as a double click
     3. Scroll Pane is added to take care of large display area.
     4. Software is documented in a manner that conforms to principle
        of software Engineering so that its understanding and modifications
        become easy.


****************************************************************************/

//
//      TimeOut is a class that waits for a certain timeout value. Once that
//      occurs then it simply generates a timeout Event and calls processEvent
//      of canvas to handle that. Doing it as a subclass of thread helps in
//      processing all other events once this thread is sleeping.

import java.lang.*;
import java.awt.*;

public class TimeOut extends Thread {
    int Timev;
    vncCanvas vs;
    TimeEvent te;

    public TimeOut(int timevalue, vncCanvas ts) {

        Timev = timevalue;
        vs = ts;
        te = vs.canvaste;
    }

    public void run() {
        try {
            sleep(Timev);
        }
        catch (InterruptedException intEx) {
        }

        vs.processEvent(te);
    }
}